
// =======================================================================================
// Copyright (c) 2014, Abstraction Games B.V.
// =======================================================================================

precision mediump float;

// =======================================================================================

uniform         sampler2D   uniform_Texture;
uniform	lowp	mat4		VertexColors;

// =======================================================================================

varying         vec2        pass_UV;
varying         vec2        pass_ColorWeight;

// =======================================================================================


void main( void )
{
	float luminance = texture2D(uniform_Texture, pass_UV).a;

	vec4 topColor = mix( VertexColors[0], VertexColors[1], pass_ColorWeight.x );
	vec4 bottomColor = mix( VertexColors[3], VertexColors[2], pass_ColorWeight.x );
	vec4 VertexColor = mix( topColor, bottomColor, pass_ColorWeight.y );

	gl_FragColor = vec4( 1.0, 1.0, 1.0, luminance ) * VertexColor;

}
