
// =======================================================================================
// Copyright (c) 2014, Abstraction Games B.V.
// =======================================================================================

precision mediump float;

// =======================================================================================

uniform         sampler2D   uniform_Texture;
uniform         sampler2D   uniform_LightTexture;
uniform	lowp	vec4		uniform_Diffuse;

// =======================================================================================

varying         vec2        pass_UV;
varying         vec2        pass_LightUV;
varying lowp    vec4        pass_Color;

// =======================================================================================

void main( void )
{
    vec4 textureColor = texture2D( uniform_Texture, pass_UV );
	vec4 lightColor = texture2D( uniform_LightTexture, pass_LightUV );
	
    gl_FragColor = vec4( textureColor.rgb * pass_Color.rgb * uniform_Diffuse.rgb * lightColor.rgb, textureColor.a * pass_Color.a * uniform_Diffuse.a );
}
