
// =======================================================================================
// Copyright (c) 2014, Abstraction Games B.V.
// =======================================================================================

precision mediump float;

// =======================================================================================

uniform         mat4        uniform_Projection;
uniform         mat4        uniform_Transform;

// =======================================================================================

attribute       vec3        in_Position;
attribute       vec2        in_UV;

// =======================================================================================

varying         vec2        pass_UV;
varying         vec2        pass_LightUV;

// =======================================================================================

void main( void )
{
    vec4 pos = uniform_Transform * vec4( in_Position.xy, 0, 1 );
	vec4 projPos = uniform_Projection * pos;
	gl_Position = projPos;
    pass_UV = in_UV;
	pass_LightUV = vec2( (projPos.x + 1.0) * 0.5, ( projPos.y + 1.0 ) * 0.5 );
}
