
// =======================================================================================
// Copyright (c) 2014, Abstraction Games B.V.
// =======================================================================================

precision mediump float;

// =======================================================================================

uniform         mat4        uniform_Projection;
uniform         mat4        uniform_Transform;
uniform         vec4        uniform_WaterfallUVTransform;

// =======================================================================================

attribute       vec3        in_Position;
attribute       vec2        in_UV;
attribute lowp  vec4        in_Color;

// =======================================================================================

varying         vec2        pass_UV;
varying         vec2        pass_LightUV;
varying         vec2        pass_WaterfallUV;
varying lowp    vec4        pass_Color;

// =======================================================================================

void main( void )
{
    vec4 pos = uniform_Transform * vec4( in_Position.xy, 0, 1 );
	vec4 projPos = uniform_Projection * pos;
	gl_Position = projPos;
    pass_UV = in_UV;
	pass_LightUV = vec2( (projPos.x + 1.0) * 0.5, ( projPos.y + 1.0 ) * 0.5 );
	pass_WaterfallUV = pos.xy * uniform_WaterfallUVTransform.xy + uniform_WaterfallUVTransform.zw;
    pass_Color = in_Color;
}
