
// =======================================================================================
// Copyright (c) 2014, Abstraction Games B.V.
// =======================================================================================

precision mediump float;

// =======================================================================================

uniform         sampler2D   uniform_Texture;
uniform         sampler2D   uniform_LightTexture;
uniform         sampler2D   uniform_WaterreflectTexture;
uniform	lowp	vec4		uniform_Diffuse;

// =======================================================================================

varying         vec2        pass_UV;
varying         vec2        pass_LightUV;
varying         vec2        pass_WaterreflectUV;
varying lowp    vec4        pass_Color;

// =======================================================================================

void main( void )
{
    vec4 textureColor = texture2D( uniform_Texture, pass_UV );
	vec4 lightColor = texture2D( uniform_LightTexture, pass_LightUV );
	vec4 waterreflectColor = texture2D( uniform_WaterreflectTexture, pass_WaterreflectUV );
	
	vec3 color = textureColor.rgb * uniform_Diffuse.rgb * lightColor.rgb;
	
    gl_FragColor = vec4( waterreflectColor.rgb * waterreflectColor.a + color * (1.0 - waterreflectColor.a), textureColor.a * uniform_Diffuse.a );
}
